Page 113 of 124 FirstFirst ... 1363103111112113114115123 ... LastLast
Results 1,121 to 1,130 of 1236

Thread: ALSA Upgrade Script

  1. #1121
    Join Date
    Apr 2006
    Beans
    85

    Re: ALSA Upgrade Script

    /usr/src/Alsa-1.0.23/alsa-driver-1.0.23/include/config1.h:175: warning: "CONFIG_SND_HDA_INPUT_BEEP_MODE" redefined
    ./include/generated/autoconf.h:2099: note: this is the location of the previous definition
    CC [M] /usr/src/Alsa-1.0.23/alsa-driver-1.0.23/acore/sgbuf.o
    In file included from /usr/src/Alsa-1.0.23/alsa-driver-1.0.23/include/config.h:6,
    from /usr/src/Alsa-1.0.23/alsa-driver-1.0.23/include/alsa-autoconf.h:4,
    from /usr/src/Alsa-1.0.23/alsa-driver-1.0.23/acore/sgbuf.c:1:
    /usr/src/Alsa-1.0.23/alsa-driver-1.0.23/include/config1.h:175: warning: "CONFIG_SND_HDA_INPUT_BEEP_MODE" redefined
    ./include/generated/autoconf.h:2099: note: this is the location of the previous definition
    CC [M] /usr/src/Alsa-1.0.23/alsa-driver-1.0.23/acore/pcm.o
    In file included from /usr/src/Alsa-1.0.23/alsa-driver-1.0.23/include/config.h:6,
    from /usr/src/Alsa-1.0.23/alsa-driver-1.0.23/include/adriver.h:25,
    from /usr/src/Alsa-1.0.23/alsa-driver-1.0.23/acore/pcm.c:1:
    /usr/src/Alsa-1.0.23/alsa-driver-1.0.23/include/config1.h:175: warning: "CONFIG_SND_HDA_INPUT_BEEP_MODE" redefined
    ./include/generated/autoconf.h:2099: note: this is the location of the previous definition
    In file included from /usr/src/Alsa-1.0.23/alsa-driver-1.0.23/include/config.h:6,
    from /usr/src/Alsa-1.0.23/alsa-driver-1.0.23/include/adriver.h:25,
    from /usr/src/Alsa-1.0.23/alsa-driver-1.0.23/acore/pcm.c:1:
    /usr/src/Alsa-1.0.23/alsa-driver-1.0.23/include/config1.h:175: warning: "CONFIG_SND_HDA_INPUT_BEEP_MODE" redefined
    ./include/generated/autoconf.h:2099: note: this is the location of the previous definition
    CC [M] /usr/src/Alsa-1.0.23/alsa-driver-1.0.23/acore/pcm_native.o
    In file included from /usr/src/Alsa-1.0.23/alsa-driver-1.0.23/include/config.h:6,
    from /usr/src/Alsa-1.0.23/alsa-driver-1.0.23/include/adriver.h:25,
    from /usr/src/Alsa-1.0.23/alsa-driver-1.0.23/acore/pcm_native.c:2:
    /usr/src/Alsa-1.0.23/alsa-driver-1.0.23/include/config1.h:175: warning: "CONFIG_SND_HDA_INPUT_BEEP_MODE" redefined
    ./include/generated/autoconf.h:2099: note: this is the location of the previous definition
    /usr/src/Alsa-1.0.23/alsa-driver-1.0.23/acore/pcm_native.c: In function ‘snd_pcm_hw_params’:
    /usr/src/Alsa-1.0.23/alsa-driver-1.0.23/acore/pcm_native.c:489: error: implicit declaration of function ‘pm_qos_remove_requirement’
    /usr/src/Alsa-1.0.23/alsa-driver-1.0.23/acore/pcm_native.c:492: error: implicit declaration of function ‘pm_qos_add_requirement’
    make[3]: *** [/usr/src/Alsa-1.0.23/alsa-driver-1.0.23/acore/pcm_native.o] Error 1
    make[2]: *** [/usr/src/Alsa-1.0.23/alsa-driver-1.0.23/acore] Error 2
    make[1]: *** [_module_/usr/src/Alsa-1.0.23/alsa-driver-1.0.23] Error 2
    make[1]: Leaving directory `/usr/src/linux-headers-2.6.35-22-generic'
    make: *** [compile] Error 2
    Works with older Kernel, but not this one, so I think the script needs to be updated, or ALSA to support the kernel released in 10.10
    Last edited by thinktyler; October 6th, 2010 at 04:20 AM.

  2. #1122
    Join Date
    Nov 2009
    Location
    Auckland New Zealand
    Beans
    163
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: ALSA Upgrade Script

    I'm a little confused.Do you need to run commands 4. 5. and 6. or will any one of the three work?


    Short Alsa-Upgrade script install instructions:

    1. download the script and save it somewhere
    2. cd <your-download-dir>
    3. tar xvf AlsaUpgrade-1.0.23-2.tar
    4. sudo ./AlsaUpgrade-1.0.23-2.sh -d
    5. sudo ./AlsaUpgrade-1.0.23-2.sh -c
    6. sudo ./AlsaUpgrade-1.0.23-2.sh -i
    7. sudo shutdown -r 0


    Edit: the script prompted me with the answer to this post
    Last edited by Paulgirardin; October 6th, 2010 at 08:31 AM.
    14.04 amd64

  3. #1123
    Join Date
    Mar 2010
    Beans
    1

    Re: ALSA Upgrade Script

    I'm a little confused.Do you need to run commands 4. 5. and 6. or will any one of the three work?
    You need to run 4. 5 and 6. ! 4. to download, 5. to compile and 6. to install

  4. #1124
    Join Date
    Jun 2007
    Beans
    10,964

    Re: ALSA Upgrade Script

    Quote Originally Posted by thinktyler View Post
    Works with older Kernel, but not this one, so I think the script needs to be updated, or ALSA to support the kernel released in 10.10
    Ubuntu 10.10 already has the latest ALSA release (1.0.23)

  5. #1125
    Join Date
    Apr 2006
    Beans
    85

    Re: ALSA Upgrade Script

    Quote Originally Posted by Temüjin View Post
    Ubuntu 10.10 already has the latest ALSA release (1.0.23)
    Interesting, upgrading breaks my sound, and doesn't detect my soundcard. Thanks for that bit of information. I'm going to do a fresh install and see if that solves the problem.
    Ya, dumb error on my part, my AUX cable came lose, so all sound is fixed in 10.10. Cheers.
    Last edited by thinktyler; October 7th, 2010 at 12:57 AM.

  6. #1126
    Join Date
    May 2010
    Beans
    16

    Re: ALSA Upgrade Script

    I need to compile mine own ALSA 1.0.23 with patch, but i can't do this in Ubuntu 10.10 with new 2.6.35 kernel.

    If there is any way to do this ? Send me PM if you know how to

    This script only works for 32 and older kernels...

  7. #1127
    Join Date
    Jun 2007
    Beans
    10,964

    Re: ALSA Upgrade Script

    Quote Originally Posted by Ranger21 View Post
    I need to compile mine own ALSA 1.0.23 with patch, but i can't do this in Ubuntu 10.10 with new 2.6.35 kernel.

    If there is any way to do this ? Send me PM if you know how to

    This script only works for 32 and older kernels...
    What is the issue/error message?

  8. #1128
    Join Date
    May 2010
    Beans
    16

    Re: ALSA Upgrade Script

    /usr/src/Alsa-1.0.23/alsa-driver-1.0.23/include/config1.h:175: warning: "CONFIG_SND_HDA_INPUT_BEEP_MODE" redefined
    ./include/generated/autoconf.h:2232: note: this is the location of the previous definition
    /usr/src/Alsa-1.0.23/alsa-driver-1.0.23/acore/pcm_native.c: In function ‘snd_pcm_hw_params’:
    /usr/src/Alsa-1.0.23/alsa-driver-1.0.23/acore/pcm_native.c:489: error: implicit declaration of function ‘pm_qos_remove_requirement’
    /usr/src/Alsa-1.0.23/alsa-driver-1.0.23/acore/pcm_native.c:492: error: implicit declaration of function ‘pm_qos_add_requirement’
    make[3]: *** [/usr/src/Alsa-1.0.23/alsa-driver-1.0.23/acore/pcm_native.o] Ошибка 1
    make[2]: *** [/usr/src/Alsa-1.0.23/alsa-driver-1.0.23/acore] Ошибка 2
    make[1]: *** [_module_/usr/src/Alsa-1.0.23/alsa-driver-1.0.23] Ошибка 2
    make[1]: Выход из каталога `/usr/src/linux-headers-2.6.35-22-generic-pae'
    make: *** [compile] Ошибка 2

    ************************************************** *************************
    * alsa-driver-1.0.23 make failed


    Supported kernels: 2.6.24/26/27/28/29/30/31/32 family (including rt-kernel & NON-Ubuntu ZEN-rt-kernel)


    Is there any way to compile alsa for .35 ?

  9. #1129
    Join Date
    Oct 2010
    Beans
    2

    Re: ALSA Upgrade Script

    Quote Originally Posted by Ranger21 View Post
    /usr/src/Alsa-1.0.23/alsa-driver-1.0.23/include/config1.h:175: warning: "CONFIG_SND_HDA_INPUT_BEEP_MODE" redefined
    ./include/generated/autoconf.h:2232: note: this is the location of the previous definition
    /usr/src/Alsa-1.0.23/alsa-driver-1.0.23/acore/pcm_native.c: In function ‘snd_pcm_hw_params’:
    /usr/src/Alsa-1.0.23/alsa-driver-1.0.23/acore/pcm_native.c:489: error: implicit declaration of function ‘pm_qos_remove_requirement’
    /usr/src/Alsa-1.0.23/alsa-driver-1.0.23/acore/pcm_native.c:492: error: implicit declaration of function ‘pm_qos_add_requirement’
    make[3]: *** [/usr/src/Alsa-1.0.23/alsa-driver-1.0.23/acore/pcm_native.o] Ошибка 1
    make[2]: *** [/usr/src/Alsa-1.0.23/alsa-driver-1.0.23/acore] Ошибка 2
    make[1]: *** [_module_/usr/src/Alsa-1.0.23/alsa-driver-1.0.23] Ошибка 2
    make[1]: Выход из каталога `/usr/src/linux-headers-2.6.35-22-generic-pae'
    make: *** [compile] Ошибка 2

    ************************************************** *************************
    * alsa-driver-1.0.23 make failed


    Supported kernels: 2.6.24/26/27/28/29/30/31/32 family (including rt-kernel & NON-Ubuntu ZEN-rt-kernel)


    Is there any way to compile alsa for .35 ?
    Same problem here. Hope there is a solution.

  10. #1130
    Join Date
    May 2006
    Location
    Nebraska
    Beans
    480
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: ALSA Upgrade Script

    I managed to get it to compile by issuing "-s" instead of "-d" to download an SVN version instead of the stable version. It then compiled and installed normally.

    It didn't fix my sound problems but I think those run deeper. I still get "implicit declaration of function" errors when I try to install the Linuxant driver.

Page 113 of 124 FirstFirst ... 1363103111112113114115123 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •